# Confirm receipt of a step transfer (/docs/api-reference/production-orders/ProductionOrdersController_confirmTransfer)

`PATCH /api/factories/{factoryId}/step-transfers/{transferId}/confirm`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `transferId` | path | yes | string | Transfer ID |

## Request body

Required.

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "receivedBy": {
      "type": "string",
      "description": "User who confirmed receipt"
    }
  }
}
```

## Responses

### 200: Transfer confirmed

### 400: Transfer already confirmed

### 404: Transfer not found